spring:
  datasource:
    driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    url: jdbc:sqlserver://10.150.4.111:1433;databaseName=sqlserver;useUnicode=true;characterEncoding=utf-8
    username: sa
    password: ENC(f96epk5PKzZVD+/o0yFj8J5XanrQ6lVM)
    type: com.alibaba.druid.pool.DruidDataSource

#shr接口地址
api:
  shr:
    address: https://gtiit.kdeascloud.com/shr
    #考勤打卡
    transmitPunchCardRecord: transmitPunchCardRecord
    #部门组织
    inteOAGetAdminOrgDataService: GtiitOAGetAdminOrgDataService
    #岗位
    inteOAGetPositionDataService: GtiitPositionService
    #OA员工
    synPersonService: synPersonService
    #AD人员
    synADService: synADService
    #本地备份员工相关信息
    gtiitLocalPersonOsfService: GtiitLocalPersonOsfService
    #本地备份部门信息
    gtiitOrgAdminService: GtiitOrgAdminService
    #本地备份职位信息
    gtiitOrgPositionService: GtiitOrgPositionService
    #本地备份员工任职历史记录信息
    gtiitEmpOrgRelationService: GtiitEmpOrgRelationService
    #本地备份职务
    gtiitLocalJobOsfService: GtiitLocalJobOsfService
  #打卡接口地址相关
  attendance:
    tokenUrl: https://kingdeehrapi.gtiit.edu.cn/token/
    username: kingdeeHRApi_user
    password: ENC(zxtwZjhnxUnVS7GXhOfwXus8PJ9gK/yp)
    attnumber: https://kingdeehrapi.gtiit.edu.cn/v1/attendance/
  #OA接口地址相关
  oa:
    url: https://sites.gtiit.edu.cn/oa
    appid: 695d51e0-a3b7-4fc9-9fbc-dadc47b09831
    subcompanycode: gt-staff
    #控制岗位名称字段是否加部门简称 为true时需要加 为false不需要加
    IsJobTitlePrefixed: true
    #人员状态映射 key为SHR端的状态 value为OA端的状态
    statusmap: '{"On Probation":"试用","Employee":"正式","Permanent Employee":"正式","Temporary Worker":"临时",
    "试用延期":"试用延期","Dismiss":"解聘","Termination":"解聘","Dimission":"离职","Resignation":"离职","Retirement":"退休","无效":"无效"}'
    new:
      #e10系统OA相关
      url: https://sites.gtiit.edu.cn/oa
      app_key: 255609d931748ab7e94b8c9ebd3cda4a
      app_secret: aebfac1e820af1d38bc9aa295df20e0b
      grant_type: authorization_code
      corpid: 55d8e2e21120eb4d0ee019386e19589b
      response_type: code
#AD域服务器地址相关
  ad:
    address: ldap://10.103.4.45:389
    username: kingdee.userupdate@gtiit.edu.cn
    password: ENC(FUTMvvMNgXyxqXWhgXPmLWQq9c2BpJVp)
    root: OU=ERPUsers,OU=Staff,OU=Users,OU=GTIIT,DC=gtiit,DC=edu,DC=cn
    top: OU=Users,OU=GTIIT,DC=gtiit,DC=edu,DC=cn
    userPassword: Qwert1234%

#定时任务配置
scheduled:
  #考勤打卡 每天凌晨00:00:10和05:00:10 able为1是可用  2是禁用
  attendance:
    cron: 10 0 0,5 * * ?
    able: 1
  #OA岗位 每天凌晨03:30:10和04:30:10  able为1是可用  2是禁用
  position:
    cron: 10 30 3,4 * * ?
    able: 2
    new:
      able: 1
  #OA组织  每天凌晨01:30:10和02:30:10 able为1是可用  2是禁用
  org:
    cron: 10 30 1,2 * * ?
    able: 2
    new:
      able: 1
  #OA员工  通过定时任务每天 8点、13点、18点 执行 进行同步 able为1是可用  2是禁用
  person:
    cron: 0 0 8,13,18 * * ?
    able: 2
    new:
      able: 1
  #AD用户 通过定时任务每天 8点05、13点05、18点05 执行 进行同步 able为1是可用  2是禁用
  ad:
    person:
      cron: 0 5 8,13,18 * * ?
      able: 1
  #本地备份
  local:
    #员工基本信息
    person:
      cron: 10 45 0 * * ?
      able: 2
    #职务
    job:
      cron: 10 35 0 * * ?
      able: 2
    #部门
    dept:
      cron: 10 15 0 * * ?
      able: 2
    #职位
    position:
      cron: 10 25 0 * * ?
      able: 2
    #员工历史记录
    personOffice:
      cron: 10 55 0 * * ?
      able: 2